# Uses of Class
javafx.scene.text.Font

Packages that use Font
Package
Description
javafx.css
Provides API for making properties styleable via CSS and for supporting pseudo-class state.
javafx.css.converter
Provides various `StyleConverter` classes that convert CSS parsed values.
javafx.scene.canvas
Provides the set of classes for canvas, an immediate mode style of rendering API.
javafx.scene.chart
The JavaFX User Interface provides a set of chart components that are a very convenient way for data visualization.
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.text
Provides the set of classes for fonts and renderable Text Node.

## Uses of Font in javafx.css

Methods in javafx.css that return types with arguments of type Font
Modifier and Type
Method
Description
`final CssMetaData<S,Font>`
StyleablePropertyFactory.`createFontCssMetaData(String property, Function<S,StyleableProperty<Font>> function)`
Create a CssMetaData<S, Font> with initial value of `getDefault()`, and inherit flag defaulting to true.
`final CssMetaData<S,Font>`
StyleablePropertyFactory.`createFontCssMetaData(String property, Function<S,StyleableProperty<Font>> function, Font initialValue)`
Create a CssMetaData<S, Font> with initial value, and inherit flag defaulting to true.
`final CssMetaData<S,Font>`
StyleablePropertyFactory.`createFontCssMetaData(String property, Function<S,StyleableProperty<Font>> function, Font initialValue, boolean inherits)`
Create a CssMetaData<S, Font> with initial value, and inherit flag.
`final StyleableProperty<Font>`
StyleablePropertyFactory.`createStyleableFontProperty(S styleable, String propertyName, String cssProperty)`
Create a StyleableProperty<Font> using previously created CssMetaData for the given `cssProperty`.
`final StyleableProperty<Font>`
StyleablePropertyFactory.`createStyleableFontProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<Font>> function)`
Create a StyleableProperty<Font>.
`final StyleableProperty<Font>`
StyleablePropertyFactory.`createStyleableFontProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<Font>> function, Font initialValue)`
Create a StyleableProperty<Font> with initial value.
`final StyleableProperty<Font>`
StyleablePropertyFactory.`createStyleableFontProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<Font>> function, Font initialValue, boolean inherits)`
Create a StyleableProperty<Font> with initial value and inherit flag.
`static StyleConverter<ParsedValue[],Font>`
StyleConverter.`getFontConverter()`
Return a `StyleConverter` that converts a parsed representation of a `Font` to an `Font`.
Methods in javafx.css with parameters of type Font
Modifier and Type
Method
Description
`T`
ParsedValue.`convert(Font font)`
Convenience method for calling `convert` on this `ParsedValue`.
`T`
StyleConverter.`convert(ParsedValue<F,T> value, Font font)`
Convert from the parsed CSS value to the target property type.
`final CssMetaData<S,Font>`
StyleablePropertyFactory.`createFontCssMetaData(String property, Function<S,StyleableProperty<Font>> function, Font initialValue)`
Create a CssMetaData<S, Font> with initial value, and inherit flag defaulting to true.
`final CssMetaData<S,Font>`
StyleablePropertyFactory.`createFontCssMetaData(String property, Function<S,StyleableProperty<Font>> function, Font initialValue, boolean inherits)`
Create a CssMetaData<S, Font> with initial value, and inherit flag.
`final StyleableProperty<Font>`
StyleablePropertyFactory.`createStyleableFontProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<Font>> function, Font initialValue)`
Create a StyleableProperty<Font> with initial value.
`final StyleableProperty<Font>`
StyleablePropertyFactory.`createStyleableFontProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<Font>> function, Font initialValue, boolean inherits)`
Create a StyleableProperty<Font> with initial value and inherit flag.
`double`
Size.`pixels(double multiplier, Font font)`
Convert this size into pixels
`double`
Size.`pixels(Font font)`
If size is not an absolute size, return the product of font size in pixels and value.
`abstract double`
SizeUnits.`pixels(double value, double multiplier, Font font)`
`abstract double`
SizeUnits.`points(double value, double multiplier, Font font)`
Method parameters in javafx.css with type arguments of type Font
Modifier and Type
Method
Description
`final CssMetaData<S,Font>`
StyleablePropertyFactory.`createFontCssMetaData(String property, Function<S,StyleableProperty<Font>> function)`
Create a CssMetaData<S, Font> with initial value of `getDefault()`, and inherit flag defaulting to true.
`final CssMetaData<S,Font>`
StyleablePropertyFactory.`createFontCssMetaData(String property, Function<S,StyleableProperty<Font>> function, Font initialValue)`
Create a CssMetaData<S, Font> with initial value, and inherit flag defaulting to true.
`final CssMetaData<S,Font>`
StyleablePropertyFactory.`createFontCssMetaData(String property, Function<S,StyleableProperty<Font>> function, Font initialValue, boolean inherits)`
Create a CssMetaData<S, Font> with initial value, and inherit flag.
`final StyleableProperty<Font>`
StyleablePropertyFactory.`createStyleableFontProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<Font>> function)`
Create a StyleableProperty<Font>.
`final StyleableProperty<Font>`
StyleablePropertyFactory.`createStyleableFontProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<Font>> function, Font initialValue)`
Create a StyleableProperty<Font> with initial value.
`final StyleableProperty<Font>`
StyleablePropertyFactory.`createStyleableFontProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<Font>> function, Font initialValue, boolean inherits)`
Create a StyleableProperty<Font> with initial value and inherit flag.
Constructors in javafx.css with parameters of type Font
Modifier
Constructor
Description
``
`FontCssMetaData(String property, Font initial)`
Constructs a FontCSSMetaData object from the specified property and initial Font.

## Uses of Font in javafx.css.converter

Methods in javafx.css.converter that return Font
Modifier and Type
Method
Description
`Font`
FontConverter.`convert(Map<CssMetaData<? extends Styleable,?>,Object> convertedValues)`
`Font`
FontConverter.`convert(ParsedValue<ParsedValue[],Font> value, Font font)`
Methods in javafx.css.converter that return types with arguments of type Font
Modifier and Type
Method
Description
`static StyleConverter<ParsedValue[],Font>`
FontConverter.`getInstance()`
Methods in javafx.css.converter with parameters of type Font
Modifier and Type
Method
Description
`Boolean`
BooleanConverter.`convert(ParsedValue<String,Boolean> value, Font not_used)`
`Color`
ColorConverter.`convert(ParsedValue<String,Color> value, Font font)`
`Cursor`
CursorConverter.`convert(ParsedValue<String,Cursor> value, Font not_used)`
`Color`
DeriveColorConverter.`convert(ParsedValue<ParsedValue[],Color> value, Font font)`
`Size`
DeriveSizeConverter.`convert(ParsedValue<ParsedValue<Size,Size>[],Size> value, Font font)`
`Duration`
DurationConverter.`convert(ParsedValue<ParsedValue<?,Size>,Duration> value, Font font)`
`Effect`
EffectConverter.`convert(ParsedValue<ParsedValue[],Effect> value, Font font)`
`Effect`
EffectConverter.DropShadowConverter.`convert(ParsedValue<ParsedValue[],Effect> value, Font font)`
`Effect`
EffectConverter.InnerShadowConverter.`convert(ParsedValue<ParsedValue[],Effect> value, Font font)`
`E`
EnumConverter.`convert(ParsedValue<String,E> value, Font not_used)`
`Font`
FontConverter.`convert(ParsedValue<ParsedValue[],Font> value, Font font)`
`Number`
FontConverter.FontSizeConverter.`convert(ParsedValue<ParsedValue<?,Size>,Number> value, Font font)`
`FontPosture`
FontConverter.FontStyleConverter.`convert(ParsedValue<String,FontPosture> value, Font font)`
`FontWeight`
FontConverter.FontWeightConverter.`convert(ParsedValue<String,FontWeight> value, Font font)`
`Insets`
InsetsConverter.`convert(ParsedValue<ParsedValue[],Insets> value, Font font)`
`Insets[]`
InsetsConverter.SequenceConverter.`convert(ParsedValue<ParsedValue<ParsedValue[],Insets>[],Insets[]> value, Font font)`
`Color`
LadderConverter.`convert(ParsedValue<ParsedValue[],Color> value, Font font)`
`Paint`
PaintConverter.`convert(ParsedValue<ParsedValue<?,Paint>,Paint> value, Font font)`
`Paint`
PaintConverter.ImagePatternConverter.`convert(ParsedValue<ParsedValue[],Paint> value, Font font)`
`Paint`
PaintConverter.LinearGradientConverter.`convert(ParsedValue<ParsedValue[],Paint> value, Font font)`
`Paint`
PaintConverter.RadialGradientConverter.`convert(ParsedValue<ParsedValue[],Paint> value, Font font)`
`Paint`
PaintConverter.RepeatingImagePatternConverter.`convert(ParsedValue<ParsedValue[],Paint> value, Font font)`
`Paint[]`
PaintConverter.SequenceConverter.`convert(ParsedValue<ParsedValue<?,Paint>[],Paint[]> value, Font font)`
`Shape`
ShapeConverter.`convert(ParsedValue<String,Shape> value, Font font)`
`Number`
SizeConverter.`convert(ParsedValue<ParsedValue<?,Size>,Number> value, Font font)`
`Number[]`
SizeConverter.SequenceConverter.`convert(ParsedValue<ParsedValue[],Number[]> value, Font font)`
`Stop`
StopConverter.`convert(ParsedValue<ParsedValue[],Stop> value, Font font)`
`String`
StringConverter.`convert(ParsedValue<String,String> value, Font font)`
`String[]`
StringConverter.SequenceConverter.`convert(ParsedValue<ParsedValue<String,String>[],String[]> value, Font font)`
`String`
URLConverter.`convert(ParsedValue<ParsedValue[],String> value, Font font)`
`String[]`
URLConverter.SequenceConverter.`convert(ParsedValue<ParsedValue<ParsedValue[],String>[],String[]> value, Font font)`
Method parameters in javafx.css.converter with type arguments of type Font
Modifier and Type
Method
Description
`Font`
FontConverter.`convert(ParsedValue<ParsedValue[],Font> value, Font font)`

## Uses of Font in javafx.scene.canvas

Methods in javafx.scene.canvas that return Font
Modifier and Type
Method
Description
`Font`
GraphicsContext.`getFont()`
Gets the current Font.
Methods in javafx.scene.canvas with parameters of type Font
Modifier and Type
Method
Description
`void`
GraphicsContext.`setFont(Font f)`
Sets the current Font.

## Uses of Font in javafx.scene.chart

Methods in javafx.scene.chart that return Font
Modifier and Type
Method
Description
`final Font`
Axis.`getTickLabelFont()`
Gets the value of the `tickLabelFont` property.
Methods in javafx.scene.chart that return types with arguments of type Font
Modifier and Type
Method
Description
`final ObjectProperty<Font>`
Axis.`tickLabelFontProperty()`
The font for all tick labels
Methods in javafx.scene.chart with parameters of type Font
Modifier and Type
Method
Description
`final void`
Axis.`setTickLabelFont(Font value)`
Sets the value of the `tickLabelFont` property.

## Uses of Font in javafx.scene.control

Methods in javafx.scene.control that return Font
Modifier and Type
Method
Description
`final Font`
Labeled.`getFont()`
Gets the value of the `font` property.
`final Font`
TextInputControl.`getFont()`
Gets the value of the `font` property.
`final Font`
Tooltip.`getFont()`
Gets the value of the `font` property.
Methods in javafx.scene.control that return types with arguments of type Font
Modifier and Type
Method
Description
`final ObjectProperty<Font>`
Labeled.`fontProperty()`
The default font to use for text in the Labeled.
`final ObjectProperty<Font>`
TextInputControl.`fontProperty()`
The default font to use for text in the TextInputControl.
`final ObjectProperty<Font>`
Tooltip.`fontProperty()`
The default font to use for text in the Tooltip.
Methods in javafx.scene.control with parameters of type Font
Modifier and Type
Method
Description
`final void`
Labeled.`setFont(Font value)`
Sets the value of the `font` property.
`final void`
TextInputControl.`setFont(Font value)`
Sets the value of the `font` property.
`final void`
Tooltip.`setFont(Font value)`
Sets the value of the `font` property.

## Uses of Font in javafx.scene.text

Methods in javafx.scene.text that return Font
Modifier and Type
Method
Description
`static Font`
Font.`font(double size)`
Searches for an appropriate font based on the default font family name and given font size.
`static Font`
Font.`font(String family)`
Searches for an appropriate font based on the given font family name and default font size.
`static Font`
Font.`font(String family, double size)`
Searches for an appropriate font based on the font family name and size.
`static Font`
Font.`font(String family, FontPosture posture, double size)`
Searches for an appropriate font based on the font family name and posture style.
`static Font`
Font.`font(String family, FontWeight weight, double size)`
Searches for an appropriate font based on the font family name and weight style.
`static Font`
Font.`font(String family, FontWeight weight, FontPosture posture, double size)`
Searches for an appropriate font based on the font family name and weight and posture style.
`static Font`
Font.`getDefault()`
Gets the default font which will be from the family "System", and typically the style "Regular", and be of a size consistent with the user's desktop environment, to the extent that can be determined.
`final Font`
Text.`getFont()`
Gets the value of the `font` property.
`static Font`
Font.`loadFont(InputStream in, double size)`
Loads a font resource from the specified input stream.
`static Font`
Font.`loadFont(String urlStr, double size)`
Loads a font resource from the specified URL.
`static Font[]`
Font.`loadFonts(InputStream in, double size)`
Loads font resources from the specified input stream.
`static Font[]`
Font.`loadFonts(String urlStr, double size)`
Loads font resources from the specified URL.
Methods in javafx.scene.text that return types with arguments of type Font
Modifier and Type
Method
Description
`final ObjectProperty<Font>`
Text.`fontProperty()`
Defines the font of text.
Methods in javafx.scene.text with parameters of type Font
Modifier and Type
Method
Description
`final void`
Text.`setFont(Font value)`
Sets the value of the `font` property.